Browse files

Clean up multiple gemspecs in preparation for version 2.0.0

  • Loading branch information...
1 parent 1379659 commit 206f5e708e156360e4515632e3d565699d590b2a @laserlemon committed Mar 6, 2013
View
0 LICENSE → LICENSE.md
File renamed without changes.
View
18 gemfiles/active_record/3-0.gemfile
@@ -1,11 +1,13 @@
-source 'https://rubygems.org'
+source "https://rubygems.org"
-if RUBY_VERSION == '1.8.7'
- gem 'factory_girl', '~> 2.0'
-end
-
-gem 'activerecord', '~> 3.0.0'
+gem "activerecord", "~> 3.0.0"
-gemspec :name => 'periscope-activerecord', :path => '../../'
+gemspec name: "periscope-activerecord", path: "../../"
-gem 'rake', '~> 0.9.0'
+group :test do
+ gem "database_cleaner", "~> 0.9"
+ gem "factory_girl", "~> 4.2"
+ gem "rake", "~> 10.0"
+ gem "rspec", "~> 2.13"
+ gem "sqlite3", "~> 1.3"
+end
View
18 gemfiles/active_record/3-1.gemfile
@@ -1,11 +1,13 @@
-source 'https://rubygems.org'
+source "https://rubygems.org"
-if RUBY_VERSION == '1.8.7'
- gem 'factory_girl', '~> 2.0'
-end
-
-gem 'activerecord', '~> 3.1.0'
+gem "activerecord", "~> 3.1.0"
-gemspec :name => 'periscope-activerecord', :path => '../../'
+gemspec name: "periscope-activerecord", path: "../../"
-gem 'rake', '~> 0.9.0'
+group :test do
+ gem "database_cleaner", "~> 0.9"
+ gem "factory_girl", "~> 4.2"
+ gem "rake", "~> 10.0"
+ gem "rspec", "~> 2.13"
+ gem "sqlite3", "~> 1.3"
+end
View
18 gemfiles/active_record/3-2.gemfile
@@ -1,11 +1,13 @@
-source 'https://rubygems.org'
+source "https://rubygems.org"
-if RUBY_VERSION == '1.8.7'
- gem 'factory_girl', '~> 2.0'
-end
-
-gem 'activerecord', '~> 3.2.0'
+gem "activerecord", "~> 3.2.0"
-gemspec :name => 'periscope-activerecord', :path => '../../'
+gemspec name: "periscope-activerecord", path: "../../"
-gem 'rake', '~> 0.9.0'
+group :test do
+ gem "database_cleaner", "~> 0.9"
+ gem "factory_girl", "~> 4.2"
+ gem "rake", "~> 10.0"
+ gem "rspec", "~> 2.13"
+ gem "sqlite3", "~> 1.3"
+end
View
13 gemfiles/active_record/4-0.gemfile
@@ -0,0 +1,13 @@
+source "https://rubygems.org"
+
+gem "activerecord", ">= 4.0.0.beta", "< 4.1"
+
+gemspec name: "periscope-activerecord", path: "../../"
+
+group :test do
+ gem "database_cleaner", ">= 1.0.0.RC", "< 2"
+ gem "factory_girl", "~> 4.2"
+ gem "rake", "~> 10.0"
+ gem "rspec", "~> 2.13"
+ gem "sqlite3", "~> 1.3"
+end
View
19 periscope-activerecord.gemspec
@@ -1,22 +1,21 @@
# encoding: utf-8
Gem::Specification.new do |gem|
- gem.name = 'periscope-activerecord'
- gem.version = '1.0.0'
+ gem.name = "periscope-activerecord"
+ gem.version = "2.0.0"
- gem.authors = ['Steve Richert']
- gem.email = ['steve.richert@gmail.com']
- gem.description = %(Push your ActiveRecord models' scopes up to the surface)
- gem.summary = gem.description
- gem.homepage = 'https://github.com/laserlemon/periscope'
+ gem.author = "Steve Richert"
+ gem.email = "steve.richert@gmail.com"
+ gem.summary = "Push your Active Record models' scopes up to the surface"
+ gem.homepage = "https://github.com/laserlemon/periscope"
- gem.add_dependency 'activerecord', '~> 3.0'
- gem.add_dependency 'periscope', '~> 1.0'
+ gem.add_dependency "activerecord", ">= 3", "< 5"
+ gem.add_dependency "periscope", "~> 2.0"
gem.files = %w(
- LICENSE
lib/periscope-activerecord.rb
lib/periscope/adapters/active_record.rb
+ LICENSE.md
periscope-activerecord.gemspec
README.md
)
View
19 periscope-data_mapper.gemspec
@@ -1,22 +1,21 @@
# encoding: utf-8
Gem::Specification.new do |gem|
- gem.name = 'periscope-data_mapper'
- gem.version = '1.0.0'
+ gem.name = "periscope-data_mapper"
+ gem.version = "2.0.0"
- gem.authors = ['Steve Richert']
- gem.email = ['steve.richert@gmail.com']
- gem.description = %(Push your DataMapper models' scopes up to the surface)
- gem.summary = gem.description
- gem.homepage = 'https://github.com/laserlemon/periscope'
+ gem.author = "Steve Richert"
+ gem.email = "steve.richert@gmail.com"
+ gem.summary = "Push your DataMapper models' scopes up to the surface"
+ gem.homepage = "https://github.com/laserlemon/periscope"
- gem.add_dependency 'dm-core', '~> 1.0'
- gem.add_dependency 'periscope', '~> 1.0'
+ gem.add_dependency "dm-core", "~> 1.0"
+ gem.add_dependency "periscope", "~> 2.0"
gem.files = %w(
- LICENSE
lib/periscope-data_mapper.rb
lib/periscope/adapters/data_mapper.rb
+ LICENSE.md
periscope-data_mapper.gemspec
README.md
)
View
19 periscope-mongo_mapper.gemspec
@@ -1,22 +1,21 @@
# encoding: utf-8
Gem::Specification.new do |gem|
- gem.name = 'periscope-mongo_mapper'
- gem.version = '1.0.2'
+ gem.name = "periscope-mongo_mapper"
+ gem.version = "2.0.0"
- gem.authors = ['Steve Richert']
- gem.email = ['steve.richert@gmail.com']
- gem.description = %(Push your MongoMapper models' scopes up to the surface)
- gem.summary = gem.description
- gem.homepage = 'https://github.com/laserlemon/periscope'
+ gem.author = "Steve Richert"
+ gem.email = "steve.richert@gmail.com"
+ gem.summary = "Push your MongoMapper models' scopes up to the surface"
+ gem.homepage = "https://github.com/laserlemon/periscope"
- gem.add_dependency 'mongo_mapper', '~> 0.9'
- gem.add_dependency 'periscope', '~> 1.0'
+ gem.add_dependency "mongo_mapper", "~> 0.9"
+ gem.add_dependency "periscope", "~> 2.0"
gem.files = %w(
- LICENSE
lib/periscope-mongo_mapper.rb
lib/periscope/adapters/mongo_mapper.rb
+ LICENSE.md
periscope-mongo_mapper.gemspec
README.md
)
View
19 periscope-mongoid.gemspec
@@ -1,22 +1,21 @@
# encoding: utf-8
Gem::Specification.new do |gem|
- gem.name = 'periscope-mongoid'
- gem.version = '1.1.0'
+ gem.name = "periscope-mongoid"
+ gem.version = "2.0.0"
- gem.authors = ['Steve Richert']
- gem.email = ['steve.richert@gmail.com']
- gem.description = %(Push your Mongoid models' scopes up to the surface)
- gem.summary = gem.description
- gem.homepage = 'https://github.com/laserlemon/periscope'
+ gem.author = "Steve Richert"
+ gem.email = "steve.richert@gmail.com"
+ gem.summary = "Push your Mongoid models' scopes up to the surface"
+ gem.homepage = "https://github.com/laserlemon/periscope"
- gem.add_dependency 'mongoid', '>= 2', '< 4'
- gem.add_dependency 'periscope', '~> 1.0'
+ gem.add_dependency "mongoid", ">= 2", "< 4"
+ gem.add_dependency "periscope", "~> 2.0"
gem.files = %w(
- LICENSE
lib/periscope-mongoid.rb
lib/periscope/adapters/mongoid.rb
+ LICENSE.md
periscope-mongoid.gemspec
README.md
)
View
15 periscope.gemspec
@@ -1,18 +1,17 @@
# encoding: utf-8
Gem::Specification.new do |gem|
- gem.name = 'periscope'
- gem.version = '1.0.0'
+ gem.name = "periscope"
+ gem.version = "2.0.0"
- gem.authors = ['Steve Richert']
- gem.email = ['steve.richert@gmail.com']
- gem.description = %(Push your models' scopes up to the surface)
- gem.summary = gem.description
- gem.homepage = 'https://github.com/laserlemon/periscope'
+ gem.author = "Steve Richert"
+ gem.email = "steve.richert@gmail.com"
+ gem.summary = "Push your models' scopes up to the surface"
+ gem.homepage = "https://github.com/laserlemon/periscope"
gem.files = %w(
- LICENSE
lib/periscope.rb
+ LICENSE.md
periscope.gemspec
README.md
)

0 comments on commit 206f5e7

Please sign in to comment.